<style type="text/css">


	.grid-show-count
	{
		clear: both;
		padding: 2px 19px;
		margin: 10px 0;
	}
	.main_form
	{
		float: left;
		width: 98%;
	}
	.main_form .cx-button
	{
		float: left;
		margin-top: 21px;
	}
	
</style>
<? if($this->admin):?>
<div class="form-common gray c-filter-form form main_form" >
	<form method="GET" action="" id="complain_form">
		<fieldset class="inner">
		
				<div class="inner">
					<label for="filter_users">Users</label>
						<select id="filter_users" name="filter_users">
							<option value="">---</option>
							<? foreach($this->users as $user): ?>
							<option value="<?= $user->id ?>"><?= $user->username ?></option>
							<? endforeach;	?>
						</select>
				</div>
				<div class="inner">
					<label for="type">Type</label>
					<select name="type" class="txt w12">
						<option value="">- any -</option>
						<? foreach($this->user_types as $type): ?>
						<option value="<?= $type->type ?>"><?= $type->type ?></option>
						<? endforeach; ?>
					</select>
				</div>
		</fieldset>
		<div class="clear"></div>
	</form>
</div>
<div id="new-penalty"></div>
<? endif;?>
<div id="cx-grid-show-count" class="fleft grid-show-count"><span></span> - Penalty Found</div>
<div class="clear"></div>
<div id="cx-grid"></div>

<script type="text/javascript">

window.addEvent('domready',function(){

	var getFilterParams = function () 
	{ 
		var uri = new URI('?' + $$('form')[0].toQueryString());
		return uri.get('data');
	};
	var getCurrentFilterParams = function () 
	{ 
		var uri = new URI('?' + $('current_penalty').toQueryString());
		return uri.get('data');
	};

	var initCurrentFormSubmit = function() 
	{
		
		$$('#current_penalty input[type="number"]').addEvents({keyup:function(event){

			if($('penalty').get('value')=='' ||  $('penalty').get('value')<0)
					$('penalty').set('value','');					
			
			if($('filter_escort_id').get('value')=='' || $('filter_escort_id').get('value')<=0)
				$('filter_escort_id').set('value','')

			if( event.key == 'enter')
					grid.load();
			
		},
		change:function(){
				grid.load();
			}}
		)
	};
	var edit_penality = new Cubix.Popup.Ajax({
				abar: [
					{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
				],
				width: '100%'
		});
	var view_reason = new Cubix.Popup.Ajax({
				abar: [
					{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
				],
				width: '100%'
		});
	var GetCurrentPenalty = function(data)
	{

			view_reason.setTitle('Penalty of '+data.showname);
			view_reason.load('<?= $this->baseUrl() ?>/settings/get-current-view?id='+data.id+'&user_id='+data.backend_user_id+'&read='+data.read, function () {
						this.open();
						$('cur_penality').set('value',data.penalty);
						$('cur_reason').set('value',data.reason);
						if(data.reason_name)
							$('cur_reason_name').set('value',data.reason_name);
						else
							$$('.cur_reason_name').setStyle('display','none');
						var date = new Date(1000*data.date);
						var months = ['Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec'];
						$('cur_date').set('value',date.getDate()+' '+months[date.getMonth()]+' '+date.getFullYear()+' , '+date.getHours()+':'+date.getMinutes());
						if($('current_user').get('value')==1)
							grid.load();
			});
	}
	
		var super_ = <?=$this->super?>;
		var actions = '';
		var type = 'new';
		if(super_)
		{
			actions = { type: 'remove', func: function (data){ RemovePenalty(data);}};
			type = 'number';
		}

		var clearForm = function() {
		var selects = $('current_penalty').getElements('select>option');
		selects.set('selected','');
		selects[0].set('selected','selected');
		$('current_penalty').getElements('input[type="text"],input[type="number"]').set('value','');
		grid.load();
	};
	
	
	var ClickReason = function()
	{
		$('save_tpl').addEvent('click',function(){
			$$('.reason_title,.penality_tpl').toggle();
		});
	}
	var Send = function()
	{
		var selected = $('users').getSelected()[0].get('value');
		$$('#add_penalty label').setStyle('color','#000');
		$('error').set('html','').setStyle('color','#ff0000');
		if(!selected || selected=='')
		{
			$('users').getPrevious('label').setStyle('color','#ff0000');
			$('error').set('html',"Select User");
			return false;
		}
		
		
		var escort_id = $('pen_escort_id').get('value').trim();
		
		if(escort_id=='' || escort_id<=0)
		{
			$('pen_escort_id').getPrevious('label').setStyle('color','#ff0000');
			$('error').set('html',"Incorrect Escort ID ");
			return false;
		}
		var penality = $('set_penalty').get('value').trim();

		if(penality=='' || penality<0)
		{
			$('set_penalty').getPrevious('label').setStyle('color','#ff0000');
			$('error').set('html',"Incorrect penalty value ");
			return false;
		}
		if($('save_tpl').get('checked'))
		{	var res_title =  $('reason_title').get('value').trim();
			if(res_title=='')
			{	
				$$('#save_tpl,#reason_title').getPrevious('label').setStyle('color','#ff0000');
				$('error').set('html',"Reason title is empty");
				return false;
			}
			else if($('penality_tpl') && $('penality_tpl').getElements('option').get('text').contains(res_title))
			{
				$$('#save_tpl,#reason_title').getPrevious('label').setStyle('color','#ff0000');
				$('error').set('html',"Reason name is already exists,enter another name");
				return false;
			}
		}
	
		if($('reason').get('value').trim()=='')
		{
			$('reason').getPrevious('label').setStyle('color','#ff0000');
			$('error').set('html',"Reason is empty");
			return false;
		}
		new Request({
			url: '<?= $this->baseUrl() ?>/settings/new-penalty',
			type: 'POST',
			data:$('add_penalty').toQueryString(),
			onSuccess: function(res){
				if(res)
				{	if(res=='1')
					{	$('error').setStyle('color','#2ED62E');
						$('error').set('html',"Penalty has been added to "+$('users').getSelected()[0].get('html'));
						main_grid.load();
					}
					else if(res=='2')
					{
						$('error').set('html',$('users').getSelected()[0].get('html') + " does`t have escort whit id #"+escort_id );
					}
				}
				else
				{
					$('error').set('html',"System error:check if isset escort with id #"+escort_id);
				}
			}
		}).send();
		
	};
	
	var InitTplChange = function()
	{	
		if($('penality_tpl'))
		$('penality_tpl').addEvent('change',function(){
			var id = $(this).get('value').trim();
			if(!id)
			{
				$$('#set_penalty,#reason').set('value','');
			}
			else
			{
				new Request.JSON({
				url: '<?= $this->baseUrl() ?>/settings/get-reason-tpl?id='+id,
				onSuccess: function(res){
					if(res)
					{	
						$('set_penalty').set('value',res.penalty);
						$('reason').set('value',res.reason);
					}
				}
				}).send();
			}
		});
	}
	var RemovePenalty = function(data)
	{	
		if(confirm('Remove penalty ?'))
		{
			new Request({
				url: '<?= $this->baseUrl() ?>/settings/remove-penalty',
				type: 'POST',
				data:{'id':data.id},
				onSuccess: function(res){
					if(res && res=='1')
					{	
						grid.load();
						setTimeout(function(){
							main_grid.load();
						},1500);
					}
				}
			}).send();
		}
	}

		var main_grid = Cubix.Grid.Instance = new Cubix.Grid('cx-grid', {
		identifier: { field: 'id' },
		header: [
			{ title: 'Username', field: 'username', type: 'string', sortable: true, width: '70px' },
			{ title: 'Type', field: 'type', type: 'string', sortable: true, width: '70px' },
			{ title: 'Last Month &#8364;', field: 'username', type: 'Last_Month', sortable: true, width: '70px' },
			{ title: 'This Month &#8364;', field: 'username', type: 'This_Month', sortable: true, width: '70px' },
			{ title: 'Total &#8364;', field: 'username', type: 'total', sortable: true, width: '70px' }
		],
		sort: {
			field: 'date',
			dir: 'DESC'
		},
		actions: [
				{ type: 'view', func: function (data) {
						edit_penality.setTitle(data.username+"'s penalties ");
						edit_penality.load('<?= $this->baseUrl() ?>/settings/get-user-penalty-view?id='+data.id, function () 
						{	
								this.open();
								 grid = Cubix.Grid.Instance = new Cubix.Grid('penalty-grid', {
								identifier: { field: 'id' },
								header: [
									{ title: 'Escort ID', field: 'escort_id', type: 'number', sortable: true, width: '70px' },
									{ title: 'Showname', field: 'showname', type: 'string', sortable: true, width: '70px' },
									{ title: 'Penalty &#8364;', field: 'penalty', type: type, sortable: true, width: '70px' },
									{ title: 'Reason Name', field: 'reason_name', type: 'string', sortable: true, width: '70px' },
									{ title: 'Reason', field: 'reason', type: 'hide', sortable: true, width: '70px' },
									{ title: 'Date', field: 'date', type: 'DateTime', sortable: true, width: '70px' }
								],
								sort: {
									field: 'date',
									dir: 'DESC'
								},
								actions:[{type: 'view', 
										func: function (data) {	GetCurrentPenalty(data);}
									},actions
									],
								data: new Cubix.Grid.Loader({ url:'<?= $this->baseUrl() ?>/settings/get-user-penalty?user_id='+data.backend_user_id, params: getCurrentFilterParams })
							});
							IniDateFilter();
							InitDateChange();
							initCurrentFormSubmit();
							initFormSubmit('current_penalty');
					
							new Cubix.Button($('clear'), { onClick: function () {
								clearForm();
							}, icon: 'undo', caption: 'Reset Form', classes: 'ml20' });
							new Cubix.Button($('btn-search'), { onClick: function () {
								grid.load();
							}, icon: 'refresh', caption: 'Search', classes: 'ml20' });
						});
				}} 
				],
		data: new Cubix.Grid.Loader({ url:'<?= $this->baseUrl() ?>/settings/get-penalty', params: getFilterParams })
	});
	main_grid.addEvent('loaded',function(){
		
	});
		if(super_)
		{	
			var new_penality = new Cubix.Popup.Ajax({
					abar: [
						{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close },
						{ caption: 'Send', icon: 'accept', action: Send }
					],
					width: '100%'
			});
			new Cubix.Button($('new-penalty'), { onClick: function () {

			new_penality.setTitle('New Penalty');
			new_penality.load('<?= $this->baseUrl() ?>/settings/new-penalty-view', function () {
						this.open();
						ClickReason();
						InitTplChange();
				});
			}, icon: 'add', caption: 'New Penalty', classes: 'ml20' });
		}
		
		if($('complain_form'))
		$('complain_form').getElements('select').addEvent('change',function(){
		
			main_grid.load();
		});


});
</script>